#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home

# Qpdf-10.6.2

## Introduction to Qpdf

The Qpdf package contains command-line programs and a library that does structural, content-preserving transformations on PDF files.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/qpdf/qpdf/releases/download/release-qpdf-10.6.2/qpdf-10.6.2.tar.gz

- Download MD5 sum: 243f5ec5c50c7db6dfc7d4ad4237d6f3

- Download size: 18 MB

- Estimated disk space required: 313 MB (add 46 MB for tests)

- Estimated build time: 0.8 SBU (using parallelism=4; add 1.3 SBU for tests)

### Qpdf Dependencies

#### Required

libjpeg-turbo-2.1.2

#### Optional

fop-2.7, GnuTLS-3.7.3, and libxslt-1.1.35

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/qpdf

## Installation of Qpdf

Install Qpdf by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/qpdf-10.6.2 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: fix-qdf, qpdf, and zlib-flate
Installed Library: libqpdf.so
Installed Directories: /usr/include/qpdf and /usr/share/doc/qpdf-10.6.2

### Short Descriptions

fix-qdf | is used to repair PDF files in QDF form after editing
qpdf | is used to convert one PDF file to another equivalent PDF file
zlib-flate | is a raw zlib compression program
`libqpdf.so` | contains the Qpdf API functions

Last updated on

- Prev

  Potrace-1.16

- Next

  qrencode-4.1.1

- Up
- Home